<msoft-product-filter></msoft-product-filter>

<div class="headline">
    <div class="icon-spacer"></div>
    <span class="product-details-headline">Product details</span>
    <span class="flag-headline">Country</span>
    <span class="benefits-headline">Benefits</span>
    <span class="tags-headline">Tags</span>
    <span class="validity-headline">Validity</span>
    <span class="price-headline">Price</span>
    <div class="button-spacer"></div>
</div>

<div class="product-container">
    <ng-container *ngFor="let product of products">
        <msoft-product [product]="product"></msoft-product>
    </ng-container>
</div>

<div class="load-more-container">
    <ng-container *ngIf="!noMoreProducts;else noMore">
        <span class="clickable" (click)="onLoadMore()">Load more...</span>
    </ng-container>
    <ng-template #noMore>
        <span>No more products</span>
    </ng-template>
</div>
